@echo off
echo Batch file to patch CRIBBAGE.EXE 10/01/97 (143,778 bytes) with fix for
echo problem under Windows NT.  Problem does not occur under Windows 3.1/95/98.
echo.
echo Problem:  CommDlg.dll will not load when called by program, e.g., under
echo             Options/Activity Log/Log File Name... on menu.
echo Symptom:  Error message "Cannot find COMMDLG." appears then program exits.
echo Solution: NT requires explicit DLL extension for file, so replace three
echo             null bytes with DLL and change name length byte from 8 to 11.
echo.
echo CRH - 21 Mar 2001
echo.

if exist     cribbage.exe goto OK
echo File CRIBBAGE.EXE not found -- please run from correct directory
goto END

:OK
if not exist cribbage.old goto FIX
echo No action taken -- patch update to CRIBBAGE.EXE was previously run
goto END

:FIX
echo rsp              > ntscr.tmp
echo 100              >>ntscr.tmp
echo a 0              >>ntscr.tmp
echo mov ax,ds        >>ntscr.tmp
echo add ax,1000      >>ntscr.tmp
echo mov ds,ax        >>ntscr.tmp
echo.                 >>ntscr.tmp
echo r                >>ntscr.tmp
echo g =0 7           >>ntscr.tmp
echo d ds:bcd0 bcdf   >>ntscr.tmp
echo e ds:bcda "DLL"  >>ntscr.tmp
echo e ds:bcd1 b      >>ntscr.tmp
echo d ds:bcd0 bcdf   >>ntscr.tmp
echo w                >>ntscr.tmp
echo q                >>ntscr.tmp

copy  cribbage.exe cribbage.tmp > nul
debug cribbage.tmp < ntscr.tmp  > ntlog.tmp
del   ntscr.tmp
ren   cribbage.exe cribbage.old
ren   cribbage.tmp cribbage.exe

echo CRIBBAGE.EXE patched (before/after patched region shown)
echo.
find  "CommDlg"    < ntlog.tmp
del   ntlog.tmp
echo.
dir   cribbage.*
:END
